# DOM

DOM checks.

Source:
  - dom.js, line 1

### Methods

#### (inner) domElement(element) → {boolean}

Check if is a valid DOM element

Interfaces: `all`, `any`, `not`

Source:
  - dom.js, line 10

##### Parameters:

Name | Type | Description
--- | --- | ---
`element` | `object` | element object

##### Returns:

Type:
  `boolean`

##### Example

    be.domElement(document.getElementById('test')) // true

#### (inner) domElementTag(element, tag) → {boolean}

Check if element is a specific tag

Interfaces: `not`

Source:
  - dom.js, line 29

##### Parameters:

Name | Type | Description
--- | --- | ---
`element` | `object` | element object
`tag` | `string` | tag name

##### Returns:

Type:
  `boolean`

##### Example

    be.domElementTag(document.getElementsByTagName('body')[0], 'ul') // false